Subject: Re: [bitcoin-dev] Hard fork proposal from last week's meeting

From: Bram Cohen <[email-masked]>
Date: Tue, 28 Mar 2017 23:32:20 -0700

On Tue, Mar 28, 2017 at 9:59 AM, Wang Chun via bitcoin-dev <
[email-masked]> wrote:

>
> The basic idea is, as many of us agree, hard fork is risky and should
> be well prepared. We need a long time to deploy it.
>

Much as it may be appealing to repeal the block size limit now with a grace
period until a replacement is needed in a repeal and replace strategy, it's
dubious to assume that an idea can be agreed upon later when it can't be
agreed upon now. Trying to put a time limit on it runs into the possibility
that you'll find that whatever reasons there were for not having general
agreement on a new setup before still apply, and running into the
embarrassing situation of winding up sticking with the status quo after
much sturm and drang.